org.eclipse.lyo.oslc4j.core

## Interface OSLC4JConstants

-     public interface OSLC4JConstants

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static Map<String,Object>` | `OSL4J_PROPERTY_SINGLETON`
    `static String` | `OSLC4J_DISABLE_HOST_RESOLUTION`
    `static String` | `OSLC4J_DISABLE_RELATIVE_URIS`
    `static String` | `OSLC4J_INFER_TYPE_FROM_SHAPE`
    `static String` | `OSLC4J_NEXT_PAGE`
    `static String` | `OSLC4J_PUBLIC_URI`
    `static String` | `OSLC4J_QUERY_RESULT_LIST_AS_CONTAINER` System property "org.eclipse.lyo.oslc4j.queryResultListAsContainer" : When "true", the query result list type will be http://www.w3.org/2000/01/rdf-schema#Container, otherwise it will have no type.
    `static String` | `OSLC4J_SELECTED_PROPERTIES`
    `static String` | `OSLC4J_TOTAL_COUNT`
    `static String` | `OSLC4J_USE_BEAN_CLASS_FOR_PARSING`

- - ### Field Detail

    - #### OSLC4J_PUBLIC_URI

          static final String OSLC4J_PUBLIC_URI

      See Also:
        Constant Field Values

    - #### OSLC4J_DISABLE_HOST_RESOLUTION

          static final String OSLC4J_DISABLE_HOST_RESOLUTION

      See Also:
        Constant Field Values

    - #### OSLC4J_DISABLE_RELATIVE_URIS

          static final String OSLC4J_DISABLE_RELATIVE_URIS

      See Also:
        Constant Field Values

    - #### OSLC4J_USE_BEAN_CLASS_FOR_PARSING

          static final String OSLC4J_USE_BEAN_CLASS_FOR_PARSING

      See Also:
        Constant Field Values

    - #### OSLC4J_INFER_TYPE_FROM_SHAPE

          static final String OSLC4J_INFER_TYPE_FROM_SHAPE

      See Also:
        Constant Field Values

    - #### OSL4J_PROPERTY_SINGLETON

          static final Map<String,Object> OSL4J_PROPERTY_SINGLETON

    - #### OSLC4J_SELECTED_PROPERTIES

          static final String OSLC4J_SELECTED_PROPERTIES

      See Also:
        Constant Field Values

    - #### OSLC4J_NEXT_PAGE

          static final String OSLC4J_NEXT_PAGE

      See Also:
        Constant Field Values

    - #### OSLC4J_TOTAL_COUNT

          static final String OSLC4J_TOTAL_COUNT

      See Also:
        Constant Field Values

    - #### OSLC4J_QUERY_RESULT_LIST_AS_CONTAINER

          static final String OSLC4J_QUERY_RESULT_LIST_AS_CONTAINER

      System property "org.eclipse.lyo.oslc4j.queryResultListAsContainer" : When "true", the query result list type will be http://www.w3.org/2000/01/rdf-schema#Container, otherwise it will have no type. No type is the default.
      See Also:
        Constant Field Values

Copyright © 2016. All rights reserved.